> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a product

> Delete a product by ID



## OpenAPI

````yaml /openapi/platform.yaml delete /products/{productID}
openapi: 3.0.1
info:
  title: DH Console API
  description: Data Provider SaaS platform
  contact: {}
  version: '1.0'
servers:
  - url: https://api.fiskil.com/v1/data-provider/cdr
    description: Fiskil Data Provider Platform API
security:
  - bearerAuth: []
paths:
  /products/{productID}:
    delete:
      tags:
        - Products
      summary: Delete a product
      description: Delete a product by ID
      parameters:
        - name: productID
          in: path
          description: Product ID
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Product deleted successfully
          content: {}
        '400':
          description: Bad request - validation error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '404':
          description: Product not found
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        OAuth 2.0 access token from the [token
        endpoint](https://api.fiskil.com/v1/token).

        See [Platform API authentication](/platform-api/authentication).

````